% -*-trale-prolog-*-
% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 1.8 $
%%      $Date: 2006/06/05 17:55:38 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- discontiguous '--->'/2.
:- multifile '*>'/2.


% %das ~~> @det(nom_or_acc,sg,neu,strong,def).

% /*

% der ~~> @det(nom,sg,mas,strong,def).

% % wir gedenken der Frau
% % wir helfen der Frau
% der ~~> @det(gen_or_dat,sg,fem,strong,def).


% % dem Mann/Buch
% dem ~~>  @det(dat,sg,mas_or_neu,strong,def).

% % den Mann
% den ~~> @det(acc,sg,mas,strong,def).


% des ~~> @det(gen,sg,mas_or_neu,strong,def).

% die ~~> @det(nom_or_acc,sg,fem,strong,def).


% die ~~> @det(nom_or_acc,pl,strong,def).
% den ~~> @det(dat,       pl,strong,def).
% der ~~> @det(gen,       pl,strong,def).

% */


% ein       ~~> @mixed_det(sg,ein).

% mein  ~~> @possessive(first,sg).
% dein  ~~> @possessive(second,sg).
% ihr   ~~> @possessive(third,sg,fem).
% sein  ~~> @possessive(third,sg,mas_or_neu).




% /*
% % Nomina neutr

% buch      ~~> @noun(neu,buch),
%               @pl_stem(a_ büch),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus),
%               @noun_flex_kumw(minus).
% */

% kind      ~~> @noun(neu,kind),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus). % unspezifiziert falls dem Kinde gehen soll

% /*
% lied      ~~> @noun(neu,lied),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus).

% märchen   ~~> @noun(neu,märchen),
%               @noun_flex_fk(nfk_1).


% % Achtung! Mädchen hat das Genus Neutrum, für Pronomenbindung
% % ist allerdings feminin oder neutrum möglich.
% % Das Mädchen ... Sie/es ...

% mädchen   ~~> @noun(neu,  fem_or_neu,mädchen),
%               @noun_flex_fk(nfk_1).



% % Nomina mask

% aufsatz   ~~> @noun(mas,aufsatz),
%               @pl_stem(a_ aufsätz),
%               @noun_flex_fk(nfk_e1),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus),
%               @noun_flex_kumw(minus).

% kran      ~~> @noun(mas,kran),
%               @pl_stem(a_ krän),
%               @noun_flex_fk(nfk_e1),
%               @noun_flex_dat_e(minus).


% lügner    ~~> @noun(mas,lügner),
%               @noun_flex_fk(nfk_1).


% mann      ~~> @noun(mas,mann),
%               @pl_stem(a_ männ),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus).


% mörder    ~~> @noun(mas,mörder),
%               @noun_flex_fk(nfk_2).

% */

% sohn      ~~> @noun(mas,sohn),
%               @pl_stem(a_ söhn),
%               @noun_flex_fk(nfk_e1),
%               @noun_flex_gen_e(minus),
%               @noun_flex_dat_e(minus).

% /*
% wagen     ~~> @noun(mas,wagen),
%               @noun_flex_fk(nfk_1),
%               @noun_flex_gen_e(minus).



% % Nomina fem

% frau         ~~> @noun(fem,frau),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(plus),
%                  @noun_flex_kumw(minus).

% geschichte   ~~> @noun(fem,geschichte),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(minus),
%                  @noun_flex_kumw(minus).

% speisekammer ~~> @noun(fem,speisekammer),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(minus),
%                  @noun_flex_kumw(minus).

% tochter      ~~> @noun(fem,tochter),
%                  @pl_stem(a_ töchter),
%                  @noun_flex_fk(nfk_4),
%                  @noun_flex_e_vor_n(minus).

% überraschung ~~> @noun(fem,überraschung),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_e_vor_n(plus).

% wurst        ~~> @noun(fem,wurst),
%                  @pl_stem(a_ würst),
%                  @noun_flex_fk(nfk_e3).



% % adjektivisch flektierte Nomina
% % Die Flexionsinformation ist identisch mit der der Adjektive,
% % außer daß das Genus nie neutrum ist, da Beamte immer mas
% % oder fem sind.

% beamt ~~> @adj_noun(beamter).

% % diese Formen werden nicht gebraucht. Bei Adjektiven sind
% % sie notwendig, da der Artikel wegfallen kann:
% %
% % Er rechnet mit frischer Milch.
% %
% %beamter ~~> @noun(gen_or_dat,fem,       sg,weak,  beamter).




% % Personalpronomina



% er     ~~> @pers_pronoun(nom,third,sg,mas).


% % Expletivum

% es    ~~> expl_pronoun.


% % Possessivpronomina

% mein   ~~> @possessive(nom,       first, sg,genus,     sg,mas,       weak).



% % Relativpronomina

% die    ~~> @rel_pronoun(nom_or_acc,third,sg,fem).


% dessen ~~> @possessive_rel_pronoun(sg,mas_or_neu).



% % Verben



lach    ~~> @intrans_verb(lachen),
            @vflex_fk(v_weak),
 
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).

% renn   ~~> @intrans_verb(rennen),
%            @past_stem(a_ rann),
%            @part_stem(a_ rann),
            
%            @vflex_fk(mixed),
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

% schlaf ~~> @intrans_verb(schlafen),
%            @pres2_stem(a_ schläf),
%            @past_stem(a_ schlief),
            
%            @vflex_fk(v_strong),
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(plus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).


% sterb  ~~> @intrans_unacc_verb(sterben),
%            @pres2_stem(a_ stirb),
%            @past_stem(a_ starb),
%            @part_stem(a_ storb),
           
%            @conj_stem(a_ stürb),
%            @imp2_stem,
%            @vflex_fk(v_strong),
              
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(plus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

% grau   ~~> @subjlos_verb(dat,grauen),
%            @vflex_fk(v_weak),
 
%            @vflex_ep(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).


% Verbpartikel

an ~~>
(subj_isect_modifying_particle,
 synsem:loc:cont:nucleus:arg2:gerichtet_auf).
            

herum ~~>
(subj_less_scopal_modifying_particle,
 synsem:loc:cont:nucleus:herum).



% Das ist ein Trick, der gebraucht wird,
% damit eine eigentlich syntaktische Regel im Lexikon angewendet werden
% kann. Ohne diesen Trick würde man in Trale die Partikelverben und entsprechende
% Derivationsformen nur mit einem Leerzeichen zwischen Partikel und Verb/Adjektiv/Nomen
% analysieren können.

% In den entsprechenden Lexikonregeln wird eine Tochter als `particle' spezifiziert,
% womit dann auch der phonologische Beitrag zugreifbar ist und mit
%
% morphs
%  X becomes (Y,X).
%
% in die orthographische Form des Wortes integriert werden kann.

particle *>
 ((phon:[a_ an],
   subj_isect_modifying_particle,
   synsem:loc:cont:nucleus:arg2:gerichtet_auf)
 ;
  (phon:[a_ herum],
   subj_less_scopal_modifying_particle,
   synsem:loc:cont:nucleus:herum)).

interessant ~~> @adj(interessant).