% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: suffixes.pl,v $
%%  $Revision: 1.7 $
%%      $Date: 2006/08/29 12:04:25 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: noun endings taken over from Babel (Version 04.04.95)
%%             original classification due to Dorothee Reimann
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile '*>'/2. 


%%
%    Adjektive

attr_adj_i_suffix *>
  (
    @a_infl_affix([a_ e], sg,mas,       nom,       strong);
    @a_infl_affix([a_ e], sg,fem,       nom_or_acc,dtype );
    @a_infl_affix([a_ e], sg,neu,       nom_or_acc,strong);
    @a_infl_affix([a_ e], pl,genus,     nom_or_acc,weak  );
    @a_infl_affix([a_ em],sg,mas_or_neu,dat,       weak  );
    @a_infl_affix([a_ en],sg,genus,     gen_or_dat,strong);
    @a_infl_affix([a_ en],sg,mas_or_neu,gen,       weak  );
    @a_infl_affix([a_ en],sg,mas,       acc,       dtype );
    @a_infl_affix([a_ en],pl,genus,     case,      strong);  
    @a_infl_affix([a_ en],pl,genus,     dat,       weak  );
    @a_infl_affix([a_ er],sg,mas,       nom,       weak  );
    @a_infl_affix([a_ er],sg,fem,       gen_or_dat,weak  );   % wegen frischer Milch  
    @a_infl_affix([a_ er],pl,genus,     gen,       weak  );
    @a_infl_affix([a_ es],sg,neu,       nom_or_acc,weak  )
  ).

det_i_suffix *>
  (
    
    @det_infl_affix([a_ []], weak,   weak,   sg, mas,        nom) ;
    @det_infl_affix([a_ []], weak,   weak,   sg, neu,        nom_or_acc);
    @det_infl_affix([a_ e],  strong,         sg, fem,        nom_or_acc);
    @det_infl_affix([a_ e],  strong,         pl, genus,      nom_or_acc);
    @det_infl_affix([a_ en], strong,         sg, mas,        acc);
    @det_infl_affix([a_ en], strong,         pl, genus,      dat);
    @det_infl_affix([a_ em], strong,         sg, mas_or_neu, dat);
    @det_infl_affix([a_ er], strong,         sg, fem,        gen_or_dat);
    @det_infl_affix([a_ er], strong, strong, sg, mas,        nom);
    @det_infl_affix([a_ er], strong,         pl, genus,      gen);
    @det_infl_affix([a_ es], strong, strong, sg, neu,        nom_or_acc);
    @det_infl_affix([a_ es], strong,         sg, mas_or_neu, gen)

  ).



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%  Verben

%% v_infl_affix(Phon,Flexionsklasse,SemanticContribution,MorphophonologicalAuxiliaryFeatures,Person,Number)

fin_verb_i_suffix *>
(
  @v_infl_affix([a_ []],v_strong,      past_ind,           first_or_third,sg);

  @v_infl_affix([a_ []],modal,         pres_ind,ep:minus,  first_or_third,sg);

  @v_infl_affix([a_ []],v_strong,      pres_ind,tm:plus,   third,         sg);

  @v_infl_affix([a_ []],v_strong,      pres_imp,           second,        sg);

 
 /*
 other grouping avoids ambiguity in readings
  @v_infl_affix([a_ e]],v_strong,pres_ind,           first,         sg);

  @v_infl_affix([a_ e]],v_strong,conj,               first_or_third,sg);  % pres_or_past + conjunctive
*/

  @v_infl_affix([a_ e], v_strong,      pres_ind_conj,       first,         sg);

  @v_infl_affix([a_ e], v_strong,      pres_conj,           third,         sg);

  @v_infl_affix([a_ e], v_strong,      past_conj,           first_or_third,sg);            % pres_or_past + conjunctive
 
  % möchte
  @v_infl_affix([a_ e], modal,         pres_ind,ep:plus,    first_or_third,sg);

  % rede = Ind oder Conj
  @v_infl_affix([a_ e], v_weak,        pres_ind_conj,       first,         sg);

  % rede du jetzt!
  @v_infl_affix([a_ e], v_weak,        pres_imp,            second,        sg);

  % er lache zu laut.
  @v_infl_affix([a_ e], v_weak,        pres_conj,           third,         sg);

  @v_infl_affix([a_ e], mixed,         pres_ind_conj,       first,         sg);

  @v_infl_affix([a_ e], mixed,         conj,                    third,         sg);

  @v_infl_affix([a_ en],v_strong,      pres_ind_conj,           first_or_third,pl);

  @v_infl_affix([a_ en],mixed_or_modal,pres_ind_conj,           first_or_third,pl);

  @v_infl_affix([a_ en],v_weak,        pres_ind_conj,pl_n:minus,first_or_third,pl);

  @v_infl_affix([a_ n], v_weak,        pres_ind_conj,pl_n:plus, first_or_third,pl);

  @v_infl_affix([a_ et],v_strong,      pres_ind,     (ep:plus,tm:minus),third, sg);

  @v_infl_affix([a_ et],mixed,         pres_ind,     ep:plus,   third,         sg);
 
  @v_infl_affix([a_ et],v_weak,        pres_ind,     ep:plus,   third,         sg);

  @v_infl_affix([a_ et],v_weak,        pres_ind,     ep:plus,   second,        pl);

  @v_infl_affix([a_ ete],v_weak,       past_ind_conj,ep:plus,   first_or_third,sg);

  @v_infl_affix([a_ etest],v_weak,     past_ind_conj,ep:plus,   second,        sg);
 
  @v_infl_affix([a_ est],v_strong,     pres_ind, (ep:plus,tm:minus),second,    sg);

  @v_infl_affix([a_ est],v_strong,     past_ind, evp:plus,          second,    sg);

  @v_infl_affix([a_ est],v_strong,     past_ind, spe:plus,          second,    sg);

  @v_infl_affix([a_ est],mixed,        pres_ind, (ep:plus,sm:minus),second,    sg);
 
  @v_infl_affix([a_ est],v_weak,       pres_ind, ep:plus,           second,    sg);

  @v_infl_affix([a_ est],modal,        pres_ind, (ep:plus,sm:minus),second,    sg);

  @v_infl_affix([a_ st],v_strong,      pres_ind, (ep:minus,sm:minus),second,   sg);   %pres_ind_conj,

  @v_infl_affix([a_ st],v_strong,      pres_ind, (ep:plus, sm:minus,tm:plus),second,sg);

% neu für 'lädst'
  @v_infl_affix([a_ st],v_strong,      pres_ind,     (ep:plus,tm:t),      second,sg);

  @v_infl_affix([a_ st],v_strong,      past_ind_conj,(evp:minus,sm:minus),second,sg);
 
  @v_infl_affix([a_ st],mixed,         pres_ind,     (ep:minus,sm:minus), second,sg);

  @v_infl_affix([a_ st],modal,         pres_ind,     (ep:minus,sm:minus), second,sg);
 
  @v_infl_affix([a_ st],v_weak,        pres_ind_conj,(ep:minus,sm:minus), second,sg);
 
  @v_infl_affix([a_ t], v_strong,      pres_ind_conj,(ep:minus,sm:plus),  second,sg);
 
  @v_infl_affix([a_ t], v_strong,      pres_ind,     (ep:minus,tm:minus), third, sg);

  @v_infl_affix([a_ t], mixed,         pres_ind,     ep:minus,            third, sg);

 % für lädt
  @v_infl_affix([a_ t], v_strong,      pres_ind,     (ep:plus,tm:t),      third, sg);

% wird                                  
%  @v_infl_affix([a_ d],v_strong,pres_ind, (ep:minus,tm:werden),third,sg);

  @v_infl_affix([a_ t], v_weak,        pres_ind_conj,(ep:minus,sm:plus),  second,sg);

  @v_infl_affix([a_ t], v_weak,        pres_ind,     ep:minus,            third, sg);

 
  @v_infl_affix([a_ t], modal,         pres_ind,     sm:plus,             second,sg);
 
  @v_infl_affix([a_ t], v_weak,        pres_ind,     ep:minus,            second,pl);

  @v_infl_affix([a_ te],v_weak,        past_ind,     ep:minus,            first_or_third,sg);

 
  @v_infl_affix([a_ te],mixed,         past_ind_conj,ep:minus,            first_or_third,sg);

  @v_infl_affix([a_ te],modal,         past_ind_conj,ep:minus,            first_or_third,sg);

  @v_infl_affix([a_ test],non_strong,  past_ind_conj,ep:minus,            second,        sg)

).


ppp_verb_i_suffix *>
  (
    (phon:[a_ en],
     fk:v_strong,
     morphophon:epp:plus);

    % only for `getan'
    (phon:[a_ n],
     fk:v_strong,
     morphophon:epp:minus);

    (phon:[a_ t],
     fk:non_strong,
     morphophon:ep:minus);

    % there may be a bug here regarding mixed ? are they always ep:minus?
    (phon:[a_ et],
     fk:non_strong,
     morphophon:ep:plus)

  ).

%-------------------------------------------------------
% nfk_p

% -> wegen Karl = Dativ
% ansonsten 'die Frau Karl'
% =         'die Frau des Studenten'
noun_i_suffix *>
  (@n_infl_affix([a_ []],    nfk_p,                sg, nom_or_dat_or_acc);

%-------------------------------------------------------
% nfk_e1
% Maskulinum oder Neutrum mit e-Endung im Plural
 

   @n_infl_affix([a_ []],    nfk_e1,  dat_e:minus, sg, nom_or_dat_or_acc);

   @n_infl_affix([a_ []],    nfk_e1,  dat_e:plus,  sg, nom_or_acc);

   @n_infl_affix([a_ e],     nfk_e1,  dat_e:plus,  sg, dat);
      
      % pl for nfk_e1, e2, e3
   @n_infl_affix([a_ e],     nfk_e,                pl, nom_or_gen_or_acc);

   @n_infl_affix([a_ en],    nfk_e,                pl, dat);
      
   @n_infl_affix([a_ es],    nfk_e1,  gen_e:plus,  sg, gen);

   @n_infl_affix([a_ s],     nfk_e1,  gen_e:minus, sg, gen);


%-------------------------------------------------------
% nfk_e2
% Maskulinum oder Neutrum mit e-Endung im Plural


   @n_infl_affix([a_ []],    nfk_e2,              sg, case);

      
%-------------------------------------------------------
% nfk_e3
% Femininum e-Endung im Plural

   @n_infl_affix([a_ []], nfk_e3,              sg, case);

%-------------------------------------------------------
% nfk_es
% Maskulinum oder Neutrum mit es-Endung im Plural


   @n_infl_affix([a_ []], nfk_es, dat_e:minus, sg, nom_or_dat_or_acc);
       
   @n_infl_affix([a_ []], nfk_es, dat_e:plus,  sg, nom_or_acc);

   @n_infl_affix([a_ se], nfk_es, dat_e:plus,  sg, dat);

   @n_infl_affix([a_ ses],nfk_es, gen_e:plus,  sg, gen);

   @n_infl_affix([a_ se], nfk_es,              pl, nom_or_gen_or_acc);


   @n_infl_affix([a_ sen],nfk_es,              pl, dat);

      
%-------------------------------------------------------
% nfk_er
% Maskulinum oder Neutrum
% starke Deklination, er-Endung im Plural

   @n_infl_affix([a_ []],    nfk_er, dat_e:minus, sg, nom_or_dat_or_acc);

   @n_infl_affix([a_ []],    nfk_er, dat_e:plus,  sg, nom_or_acc);
      
   @n_infl_affix([a_ e],     nfk_er, dat_e:plus,  sg, dat);
      
   @n_infl_affix([a_ es],    nfk_er, gen_e:plus,  sg, gen);
      
   @n_infl_affix([a_ er],    nfk_er,              pl, nom_or_gen_or_acc);

   @n_infl_affix([a_ ern],   nfk_er,              pl, dat);

      
%-------------------------------------------------------
% nfk_n1
% Maskulinum oder Neutrum
% starke Deklination, n-Endung im Plural

      
   @n_infl_affix([a_ []],    nfk_n1, dat_e:minus,   sg, nom_or_dat_or_acc);

   @n_infl_affix([a_ []],    nfk_n1, dat_e:plus,    sg, nom_or_acc);
      
   @n_infl_affix([a_ e],     nfk_n1, dat_e:plus,    sg, dat);
      
   @n_infl_affix([a_ n],     nfk_n1, e_vor_n:minus, pl, case);

   @n_infl_affix([a_ en],    nfk_n1, e_vor_n:plus,  pl, case);

   @n_infl_affix([a_ s],     nfk_er,                sg, gen);
      
      
%-------------------------------------------------------
% nfk_n2
% Maskulinum 
% schwache Deklination, n-Endung im Plural

   @n_infl_affix([a_ []],    nfk_n2,                sg, nom);

   @n_infl_affix([a_ n],     nfk_n2, e_vor_n:minus, sg, gen_or_dat_or_acc);

   @n_infl_affix([a_ n],     nfk_n2, e_vor_n:minus, pl, case);

   @n_infl_affix([a_ en],    nfk_n2, e_vor_n:plus,  pl, case);
      
   @n_infl_affix([a_ en],    nfk_n2, e_vor_n:plus,  sg, gen_or_dat_or_acc);


%-------------------------------------------------------
% nfk_n3
% Maskulinum
% ...

   @n_infl_affix([a_ n],     nfk_n3,                pl, case);

      
%-------------------------------------------------------
% nfk_n4
% Neutrum
% Mischdeklination, n-Endung im Plural

   @n_infl_affix([a_ en],    nfk_n4,                pl, case);
      
%-------------------------------------------------------
% nfk_n5
% Feminum, n-Endung im Plural

   @n_infl_affix([a_ []],    nfk_n5,                sg, case);
      
   @n_infl_affix([a_ n],     nfk_n5, e_vor_n:minus, pl, case);

   @n_infl_affix([a_ en],    nfk_n5, e_vor_n:plus,  pl, case);
      
%---------------------------------------------------
% nfk_s1
% Maskulinum oder Neutrum
% starke Deklination s-Endung im Plural


  @n_infl_affix([a_ []],     nfk_s1,                sg, nom_or_dat_or_acc);

   @n_infl_affix([a_ s],     nfk_s1,                sg, gen);

   @n_infl_affix([a_ s],     nfk_s,                 pl, case);

      
%---------------------------------------------------
% nfk_s2
% Femininum, s-Endung im Plural


      
%---------------------------------------------------
% nfk_1
% Maskulinum oder Neutrum
% starke Deklination ohne Endung im Plural

   @n_infl_affix([a_ []],    nfk_1,                 sg, nom_or_dat_or_acc);

   @n_infl_affix([a_ []],    nfk_1,                 pl, case);
      
   @n_infl_affix([a_ s],     nfk_1, gen_e:minus,    sg, gen);

   @n_infl_affix([a_ es],    nfk_1, gen_e:plus,     sg, gen);


%---------------------------------------------------
% nfk_2
% Maskulinum oder Neutrum
% starke Deklination  n-Endung im Dativ-Plural

   @n_infl_affix([a_ []],    nfk_2,                 sg, nom_or_dat_or_acc);
  
   @n_infl_affix([a_ s],     nfk_2,                 sg, gen);

   @n_infl_affix([a_ []],    nfk_2,                 pl, nom_or_gen_or_acc);

   @n_infl_affix([a_ n],     nfk_2,                 pl, dat);

%---------------------------------------------------
% nfk_3
% Maskulinum oder Neutrum
% ohne Endung


   @n_infl_affix([a_ []],    nfk_3,                 num, case);

%---------------------------------------------------
% nfk_4
% Femininum
% n-Endung im Dativ-Plural
   @n_infl_affix([a_ []],    nfk_4,                 pl, nom_or_gen_or_acc);

%-------------------------------------------------------
% nfk_i1
% Maskulinum oder Neutrum
% starke Deklination, ien-Endung im Plural
%
% Prinzipien, Materialien

   @n_infl_affix([a_ ien],   nfk_i1,                pl, case);



%%% Bauten
   @n_infl_affix([a_ ten],   nfk_ten,               pl, case)
  ).



    




    







